Update Profile
const url = 'https://api.exolink.cloud/tenant/example/profile/1';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"displayName":"example","cpmsId":[1],"labId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.exolink.cloud/tenant/example/profile/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "displayName": "example", "cpmsId": [ 1 ], "labId": 1 }'Update profile information and routing
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Tenant domain prefix
Request Bodyrequired
Section titled “Request Bodyrequired”object
Lab to route through; null removes the lab
Example generated
{ "displayName": "example", "cpmsId": [ 1 ], "labId": 1}Responses
Section titled “Responses”Profile updated successfully
Charger configuration profile
object
Profile ID
Tenant ID
Profile display name
Whether this is a dynamically generated profile
First associated CPMS backend ID
Associated CPMS backend IDs
Associated lab environment ID (if applicable)
Charger counts, only with the x-exo-charger-counts header
object
Chargers connected to the platform
Chargers connected to their CPMS
Example
{ "id": 1, "displayName": "Default Profile", "dynamic": false}Malformed request
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Bad Request", "errorCode": "ERR_API_BAD_REQUEST"}Missing, invalid or expired credentials
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}Resource not found
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Charger '7' not found", "errorCode": "ERR_API_RESOURCE_NOT_FOUND"}Validation or verification failed
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Missing parameter: displayName", "errorCode": "ERR_API_VALIDATION_FAILED"}A dependency prevents the request
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "User is last owner of tenant 'abc123'", "errorCode": "ERR_API_FAILED_DEPENDENCY"}